Subject: Re: bug#29373: 24.5; doc string of `self-insert-uses-region-functions'

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Nov 2017 19:07:28 +0200

> Date: Fri, 24 Nov 2017 08:43:05 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > Two lines of the doc string are too long.
> > 
> > Longer than 79 characters?  I didn't find any such lines.
> 
> Where do you see 79 as the recommended max length?

Sometimes it's impossible to limit a line to 70 characters without
incurring worse problems.  This is one such case.

> > > The doc string is close to incomprehensible.
> > 
> > Such derogatory remarks are best kept out of bug reports.  The facts
> > are grave enough to tell we should fix this.
> 
> Nothing derogatory intended.

That sentence could simply be omitted without any effect on the
report.  May I suggest that you try to refrain from such unneeded
remarks?

> That's a summary of the problem - lack of clarity overall.

"Lack of clarity" would be fine (although it, too, adds nothing).
"Incomprehensible" is not a summary.

> I have no idea who wrote it, nor do I care.  It's not
> about blaming or attacking anyone.  It's about calling
> your attention to what I, at least, think is a doc
> string that needs some love (improvement).

What you said in the rest of the report is enough to drawing
attention.